/*
 * Licensed Materials - Use restricted. For use in compiling interfaces to
 * IBM Rational TestManager.
 * (c) Copyright IBM Corporation 2001,2001,2006.  All Rights Reserved.
 */

#if !defined __CUSTOMSCRIPTGENERATORADAPTERSTUB_INCLUDED
#define __CUSTOMSCRIPTGENERATORADAPTERSTUB_INCLUDED

#ifdef MAKE_A_DLL
#define LINKDLL __declspec( dllexport)
#else
#define LINKDLL __declspec( dllimport)
#endif

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

//#ifndef __AFXWIN_H__
//	#error include 'stdafx.h' before including this file for PCH
//#endif



#include "resource.h"		// main symbols
#include "ExtDefs.h"


//All TCHAR* buffers are allocated by the caller, 
//the the following size_t arg specifies the allocated buffer size.
//calls should return RSR_SUCCESS on success, and some other value on error
//errorMessage, if any, will be displayed by the GUI

extern "C" BOOL LINKDLL IsCustomScriptgenAdapter();

extern "C" int LINKDLL GetDisplayName(TCHAR* name, 
                                      size_t nameSize);

extern "C" int LINKDLL GetOptions(TCHAR* options, 
                                  size_t optionsSize);

extern "C" int LINKDLL SetOptions(TCHAR* options, 
                                  size_t optionsSize,
                                  TCHAR* errorMessage,
                                  size_t errorMessageSize);

extern "C" int LINKDLL DisplayCustomConfigGUI(TCHAR* errorMessage, 
                                              size_t errorMessageSize);
                            
extern "C" int LINKDLL InitializeScriptgen(TCHAR* errorMessage, 
                                           size_t errorMessageSize);

extern "C" int LINKDLL StartScriptgen(
                           TCHAR* sessionFilesPathname, //in - pathname w/o ext
                           size_t sessionFilesPathnameSize,
                           TCHAR* scriptFilePathnames,  //in - pathnames w/o ext ;-delim
                           size_t scriptFilePathnamesSize,
                           StatusCallbackPtr fPtr,
                           TCHAR* errorMessage, 
                           size_t errorMessageSize);

extern "C" int LINKDLL CancelScriptgen(TCHAR* errorMessage, 
                                       size_t errorMessageSize);

#define RSR_EXT_STUB_SILENT "RSR_EXT_STUB_SILENT"
/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined __CUSTOMSCRIPTGENERATORADAPTERSTUB_INCLUDED

